## sanlock 2.2

=== python/Makefile ===
# Copyright 2010-2011 Red Hat, Inc.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.

all:
	python setup.py build

install:
	python setup.py install --root=$(DESTDIR)

clean:
	rm -rf build

=== src/Makefile ===
# Copyright 2010-2011 Red Hat, Inc.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v2 or (at your option) any later version.

CMD_TARGET = sanlock
HEADER_TARGET = sanlock.h sanlock_rv.h sanlock_resource.h sanlock_admin.h sanlock_direct.h
MAN_TARGET = sanlock.8

SOMAJOR=1
SOMINOR=0

LIB_ENTIRE_TARGET = libsanlock
LIB_CLIENT_TARGET = libsanlock_client
LIBSO_ENTIRE_TARGET = $(LIB_ENTIRE_TARGET).so.$(SOMAJOR).$(SOMINOR)
LIBSO_CLIENT_TARGET = $(LIB_CLIENT_TARGET).so.$(SOMAJOR).$(SOMINOR)

CMD_SOURCE = \
	crc32c.c \
	delta_lease.c \
	direct.c \
	diskio.c \
	lockspace.c \
	lockfile.c \
	log.c \
	main.c \
	paxos_lease.c \
	task.c \
	resource.c \
	watchdog.c \
	monotime.c \
	cmd.c \
	client_cmd.c \
	sanlock_sock.c

LIB_ENTIRE_SOURCE = \
	client.c \
	sanlock_sock.c \
	crc32c.c \
	diskio.c \
	delta_lease.c \
	paxos_lease.c \
	direct.c \
	task.c \
	direct_lib.c \
	monotime.c

LIB_CLIENT_SOURCE = \
	client.c \
	sanlock_sock.c

CFLAGS += -D_GNU_SOURCE -g \
	-Wall \
	-Wformat \
	-Wformat-security \
	-Wmissing-prototypes \
	-Wnested-externs \
	-Wpointer-arith \
	-Wextra -Wshadow \
	-Wcast-align \
	-Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes \
	-Winline \
	-Wredundant-decls \
	-Wno-sign-compare \
	-Wp,-D_FORTIFY_SOURCE=2 \
	-fexceptions \
	-fasynchronous-unwind-tables \
	-fdiagnostics-show-option

CMD_CFLAGS = $(CFLAGS) -fPIE -DPIE

CMD_LDFLAGS += -Wl,-z,now -Wl,-z,relro -pie
CMD_LDADD += -lpthread -luuid -lrt -laio -lblkid -lsanlock -L../wdmd -lwdmd

LIB_ENTIRE_LDFLAGS += -lpthread -lrt -laio -lblkid -L../wdmd -lwdmd
LIB_ENTIRE_LDFLAGS += -Wl,-z,relro -pie

LIB_CLIENT_LDFLAGS += -Wl,-z,relro -pie


all: $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(CMD_TARGET)

$(LIBSO_ENTIRE_TARGET): $(LIB_ENTIRE_SOURCE)
	$(CC) $(CFLAGS) $(LIB_ENTIRE_LDFLAGS) -shared -fPIC -o $@ -Wl,-soname=$(LIB_ENTIRE_TARGET).so.$(SOMAJOR) $^
	ln -sf $(LIBSO_ENTIRE_TARGET) $(LIB_ENTIRE_TARGET).so
	ln -sf $(LIBSO_ENTIRE_TARGET) $(LIB_ENTIRE_TARGET).so.$(SOMAJOR)

$(LIBSO_CLIENT_TARGET): $(LIB_CLIENT_SOURCE)
	$(CC) $(CFLAGS) $(LIB_CLIENT_LDFLAGS) -shared -fPIC -o $@ -Wl,-soname=$(LIB_CLIENT_TARGET).so.$(SOMAJOR) $^
	ln -sf $(LIBSO_CLIENT_TARGET) $(LIB_CLIENT_TARGET).so
	ln -sf $(LIBSO_CLIENT_TARGET) $(LIB_CLIENT_TARGET).so.$(SOMAJOR)

$(CMD_TARGET): $(LIBSO_ENTIRE_TARGET) $(CMD_SOURCE)
	$(CC) $(CMD_CFLAGS) $(CMD_LDFLAGS) $(CMD_SOURCE) $(CMD_LDADD) -o $@ -L.

clean:
	rm -f *.o *.so *.so.* $(CMD_TARGET)


INSTALL=$(shell which install)

DESTDIR=
BINDIR=/usr/sbin
LIBDIR=/usr/lib64
HEADIR=/usr/include
MANDIR=/usr/share/man

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -d $(DESTDIR)/$(HEADIR)
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
	$(INSTALL) -c -m 755 $(CMD_TARGET) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -c -m 755 $(LIBSO_ENTIRE_TARGET) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -c -m 755 $(LIBSO_CLIENT_TARGET) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_ENTIRE_TARGET).so $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_CLIENT_TARGET).so $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_ENTIRE_TARGET).so.$(SOMAJOR) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_CLIENT_TARGET).so.$(SOMAJOR) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -c -m 644 $(HEADER_TARGET) $(DESTDIR)/$(HEADIR)
	$(INSTALL) -m 644 $(MAN_TARGET) $(DESTDIR)/$(MANDIR)/man8/

=== tests/Makefile ===
TARGET = devcount
TARGET2 = sanlk_load

SOURCE = devcount.c
SOURCE2 = sanlk_load.c

CFLAGS += -D_GNU_SOURCE -g \
	-Wall \
	-Wformat \
	-Wformat-security \
	-Wnested-externs \
	-Wpointer-arith \
	-Wextra -Wshadow \
	-Wcast-align \
	-Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes \
	-Winline \
	-Wredundant-decls \
	-Wno-sign-compare \
	-Wp,-D_FORTIFY_SOURCE=2 \
	-fexceptions \
	-fasynchronous-unwind-tables \
	-fdiagnostics-show-option

LDFLAGS = -lrt -laio -lblkid -lsanlock

all: $(TARGET) $(TARGET2)

$(TARGET): $(SOURCE)
	$(CC) $(CFLAGS) $(LDFLAGS) $(SOURCE) -o $@ -L. -L../src

$(TARGET2): $(SOURCE2)
	$(CC) $(CFLAGS) $(LDFLAGS) $(SOURCE2) -o $@ -L. -L../src

clean:
	rm -f *.o *.so *.so.* $(TARGET) $(TARGET2)

=== wdmd/Makefile ===
# Copyright (C) 2011 Red Hat, Inc.  All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v2 or (at your option) any later version.

CMD_TARGET = wdmd
LIB_TARGET = libwdmd
HEADER_TARGET = wdmd.h
MAN_TARGET = wdmd.8
TEST_TARGET = wdmd_client

SOMAJOR=1
SOMINOR=0
SHLIB_TARGET = $(LIB_TARGET).so.$(SOMAJOR).$(SOMINOR)


CMD_SOURCE = main.c wdmd_sock.c

LIB_SOURCE = client.c wdmd_sock.c

TEST_SOURCE = wdmd_client.c

CFLAGS += -D_GNU_SOURCE -g \
	-Wall \
	-Wformat \
	-Wformat-security \
	-Wmissing-prototypes \
	-Wnested-externs \
	-Wpointer-arith \
	-Wextra -Wshadow \
	-Wcast-align \
	-Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes \
	-Winline \
	-Wredundant-decls \
	-Wno-sign-compare \
	-Wp,-D_FORTIFY_SOURCE=2 \
	-fexceptions \
	-fasynchronous-unwind-tables \
	-fdiagnostics-show-option \
	-fPIE -DPIE

CMD_LDFLAGS += -Wl,-z,now -Wl,-z,relro -pie
CMD_LDADD += -lwdmd -lrt

LIB_LDFLAGS += -Wl,-z,relro -pie

TEST_LDFLAGS = -lwdmd


all: $(SHLIB_TARGET) $(CMD_TARGET) $(TEST_TARGET)

$(SHLIB_TARGET): $(LIB_SOURCE)
	$(CC) $(CFLAGS) $(LIB_LDFLAGS) -shared -fPIC -o $@ -Wl,-soname=$(LIB_TARGET).so.$(SOMAJOR) $^
	ln -sf $(SHLIB_TARGET) $(LIB_TARGET).so
	ln -sf $(SHLIB_TARGET) $(LIB_TARGET).so.$(SOMAJOR)

$(CMD_TARGET): $(SHLIB_TARGET) $(CMD_SOURCE)
	$(CC) $(CFLAGS) $(CMD_LDFLAGS) $(CMD_SOURCE) $(CMD_LDADD) -o $@ -L.

$(TEST_TARGET): $(SHLIB_TARGET) $(TEST_SOURCE)
	$(CC) $(CFLAGS) $(TEST_LDFLAGS) $(TEST_SOURCE) $(CMD_LDADD) -o $@ -L.

clean:
	rm -f *.o *.so *.so.* $(CMD_TARGET) $(TEST_TARGET)


INSTALL=$(shell which install)

DESTDIR=
BINDIR=/usr/sbin
LIBDIR=/usr/lib64
HEADIR=/usr/include
MANDIR=/usr/share/man

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -d $(DESTDIR)/$(HEADIR)
	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
	$(INSTALL) -c -m 755 $(CMD_TARGET) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -c -m 755 $(SHLIB_TARGET) $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_TARGET).so $(DESTDIR)/$(LIBDIR)
	cp -a $(LIB_TARGET).so.$(SOMAJOR) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -c -m 644 $(HEADER_TARGET) $(DESTDIR)/$(HEADIR)
	$(INSTALL) -m 644 $(MAN_TARGET) $(DESTDIR)/$(MANDIR)/man8

=== debian/changelog ===
sanlock (2.2-2) unstable; urgency=low

  * Fix CVE-2012-5638 sanlock world writable /var/log/sanlock.log.
    Thanks to Salvatore Bonaccorso (Closes: #696424)
    Add patches cherry-picked from git repository:
     - 0001-sanlock-remove-umask-0.patch
     - 0001-sanlock-use-lockfile-mode-644.patch
     - 0001-wdmd-use-lockfile-mode-644.patch
  * Replace restrict field name (Closes: #689696)
    Add patch cherry-picked from git repository:
     - restrict.patch

 -- David Weber <wb@munzinger.de>  Thu, 03 Jan 2013 22:12:33 +0100

sanlock (2.2-1) unstable; urgency=low

  * Initial release. (Closes: #669102)

 -- David Weber <wb@munzinger.de>  Tue, 29 May 2012 13:38:45 +0200

=== debian/control ===
Source: sanlock
Section: libs
Standards-Version: 3.9.3
Priority: optional
Homepage: https://fedorahosted.org/sanlock/
Maintainer: David Weber <wb@munzinger.de>
Build-Depends: libaio-dev,
 libblkid1,
 libblkid-dev,
 debhelper (>= 8),

Package: sanlock
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Architecture: any
Description: shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than 
 one running VM at a time, across any host in a network.
 This package contains the binaries and private shared libraries

Package: libsanlock-client1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than 
 one running VM at a time, across any host in a network.
 This package contains the pulbic shared library for libvirt


Package: libsanlock-dev
Depends: ${misc:Depends}, libsanlock-client1 (= ${binary:Version}), sanlock (= ${binary:Version})
Architecture: any
Section: libdevel
Description: shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than 
 one running VM at a time, across any host in a network.
 This package contains the header files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR := $(CURDIR)/debian/build

LD_LIBRARY_PATH := /usr/lib/sanlock:$(LD_LIBRARY_PATH)
#LD_LIBRARY_PATH=/usr/lib/sanlock:${LD_LIBRARY_PATH}
#LD_LIBRARY_PATH=/usr/lib/sanlock:$(LD_LIBRARY_PATH) dh_shlibdeps
#LD_LIBRARY_PATH := /usr/lib/sanlock

override_dh_auto_build:
	dh_auto_build -D wdmd
	dh_auto_build -D src

override_dh_auto_clean:
	dh_auto_clean -D wdmd
	dh_auto_clean -D src

override_dh_auto_configure:
	dh_auto_configure -D wdmd
	dh_auto_configure -D src

override_dh_auto_install:
	dh_auto_install -D wdmd
	dh_auto_install -D src

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/sanlock

override_dh_auto_test:
	dh_auto_test -D wdmd
	dh_auto_test -D src


override_dh_installinit:
	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade  
	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade 

%:
	dh $@

## sanlock 3.2.4

=== debian/changelog ===
sanlock (3.2.4-1) unstable; urgency=low

  * Bump to 3.2.4
    New version 3.2.4

 -- Sandro Bonazzola <sbonazzo@redhat.com>  Fri, 26 Jun 2015 10:21:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: libaio-dev,
  libblkid1,
  libblkid-dev,
- debhelper (>= 8),
+ debhelper (>= 9),
 
 Package: sanlock
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Description: shared storage lock manager
  Sanlock ensures that single disk cannot be used by more than 
@@ -19,15 +20,16 @@
 
 Package: libsanlock-client1
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Description: shared storage lock manager (client library)
  Sanlock ensures that single disk cannot be used by more than 
  one running VM at a time, across any host in a network.
  This package contains the pulbic shared library for libvirt
 
-
 Package: libsanlock-dev
 Depends: ${misc:Depends}, libsanlock-client1 (= ${binary:Version}), sanlock (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Section: libdevel
 Description: shared storage lock manager (development files)
@@ -35,3 +37,11 @@
  one running VM at a time, across any host in a network.
  This package contains the header files and static libraries.
 
+Package: sanlock-python
+Depends: ${shlibs:Depends}, ${misc:Depends}, sanlock (= ${binary:Version})
+Architecture: any
+Description: Python bindings for the sanlock library
+ The sanlock-python package contains a module that permits applications
+ written in the Python programming language to use the interface
+ supplied by the sanlock library.
+

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILDDIR := $(CURDIR)/debian/build

override_dh_auto_build:
	dh_auto_build -D wdmd
	dh_auto_build -D src
	dh_auto_build -D python

override_dh_auto_clean:
	dh_auto_clean -D wdmd
	dh_auto_clean -D src
	dh_auto_clean -D python

override_dh_auto_configure:
	dh_auto_configure -D wdmd
	dh_auto_configure -D src
	dh_auto_configure -D python

override_dh_auto_install:
	dh_auto_install -D wdmd
	dh_auto_install -D src
	dh_auto_install -D python

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib

override_dh_auto_test:
	dh_auto_test -D wdmd
	dh_auto_test -D src
	dh_auto_test -D python


override_dh_installinit:
	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade  
	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade 

%:
	dh $@

## sanlock 3.3.0

=== debian/changelog ===
sanlock (3.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libsanlock1 as a dependency of libsanlock-dev. (Closes: #858500)
  * Move libsanlock.so and libwdmd.so out of /usr/lib/sanlock into
    /usr/lib to fix broken symlinks.

 -- Anton Gladky <gladk@debian.org>  Fri, 24 Mar 2017 13:11:12 +0100

sanlock (3.3.0-2) unstable; urgency=low

  * Typo in LGPL copyright section label fixed.

 -- Milan Zamazal <mzamazal@redhat.com>  Fri, 25 Mar 2016 20:37:58 +0100

sanlock (3.3.0-1) unstable; urgency=low

  * New upstream version; closes: #695859.
  * New maintainer: Milan Zamazal <mzamazal@redhat.com>
  * New package: libsanlock1
  * New package: python-sanlock
  * Standards 3.9.7 (no real change).
  * debian/copyright: Updated and converted to the machine-readable format.
  * sanlock's home set to /nonexistent.
  * systemd support added.

 -- Milan Zamazal <mzamazal@redhat.com>  Mon, 21 Mar 2016 16:48:05 +0100

=== debian/control ===
Source: sanlock
Section: libs
Standards-Version: 3.9.7
Priority: optional
Homepage: https://fedorahosted.org/sanlock/
Maintainer: Milan Zamazal <mzamazal@redhat.com>
Build-Depends: libaio-dev,
 libblkid1,
 libblkid-dev,
 debhelper (>= 9),
 dh-python,
 dh-systemd (>= 1.5),
 python-all-dev

Package: sanlock
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Architecture: any
Description: Shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the binaries and private shared libraries.

Package: libsanlock-client1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the public shared library for libvirt.

Package: libsanlock1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Shared storage lock manager (shared library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains libsanlock shared library.

Package: libsanlock-dev
Depends: ${misc:Depends}, libsanlock-client1 (= ${binary:Version}), sanlock (= ${binary:Version}), libsanlock1 (= ${binary:Version})
Architecture: any
Section: libdevel
Description: Shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the header files and static libraries.

Package: python-sanlock
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, libsanlock1 (= ${binary:Version})
Built-Using: ${Built-Using}
Section: python
Provides: ${python:Provides}
Description: Python bindings to shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the Python bindings.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
+
 DEB_BUILDDIR := $(CURDIR)/debian/build
+
+LD_LIBRARY_PATH := /usr/lib/sanlock:$(LD_LIBRARY_PATH)
+#LD_LIBRARY_PATH=/usr/lib/sanlock:${LD_LIBRARY_PATH}
+#LD_LIBRARY_PATH=/usr/lib/sanlock:$(LD_LIBRARY_PATH) dh_shlibdeps
+#LD_LIBRARY_PATH := /usr/lib/sanlock
 
 override_dh_auto_build:
 	dh_auto_build -D wdmd
@@ -22,18 +28,16 @@
 	dh_auto_install -D python
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib
+	dh_makeshlibs -X/usr/lib/sanlock
 
 override_dh_auto_test:
 	dh_auto_test -D wdmd
 	dh_auto_test -D src
 	dh_auto_test -D python
 
-
 override_dh_installinit:
-	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade  
-	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade 
+	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade --no-start
+	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade
 
 %:
-	dh $@
-
+	dh $@ --with=python2,systemd

## sanlock 3.6.0

=== src/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 LIB_ENTIRE_TARGET = libsanlock
 LIB_CLIENT_TARGET = libsanlock_client
+LIBPC_ENTIRE_TARGET = libsanlock.pc
+LIBPC_CLIENT_TARGET = libsanlock_client.pc
 LIBSO_ENTIRE_TARGET = $(LIB_ENTIRE_TARGET).so.$(SOMAJOR).$(SOMINOR)
 LIBSO_CLIENT_TARGET = $(LIB_CLIENT_TARGET).so.$(SOMAJOR).$(SOMINOR)
 
@@ -21,12 +23,15 @@
 	delta_lease.c \
 	direct.c \
 	diskio.c \
+	ondisk.c \
+	helper.c \
 	lockspace.c \
 	lockfile.c \
 	log.c \
 	main.c \
 	paxos_lease.c \
 	task.c \
+	timeouts.c \
 	resource.c \
 	watchdog.c \
 	monotime.c \
@@ -39,10 +44,12 @@
 	sanlock_sock.c \
 	crc32c.c \
 	diskio.c \
+	ondisk.c \
 	delta_lease.c \
 	paxos_lease.c \
 	direct.c \
 	task.c \
+	timeouts.c \
 	direct_lib.c \
 	monotime.c
 
@@ -50,7 +57,18 @@
 	client.c \
 	sanlock_sock.c
 
-CFLAGS += -D_GNU_SOURCE -g \
+LIBPC_ENTIRE_SOURCE = libsanlock.pc.in
+LIBPC_CLIENT_SOURCE = libsanlock_client.pc.in
+
+OPTIMIZE_FLAG = -O2 -Wp,-D_FORTIFY_SOURCE=2
+ifeq ($(DEBUG), 1)
+   OPTIMIZE_FLAG = -O0
+   CFLAGS += -g
+endif
+
+
+
+CFLAGS += -D_GNU_SOURCE \
 	-Wall \
 	-Wformat \
 	-Wformat-security \
@@ -65,10 +83,15 @@
 	-Winline \
 	-Wredundant-decls \
 	-Wno-sign-compare \
-	-Wp,-D_FORTIFY_SOURCE=2 \
+	-Wno-strict-overflow \
 	-fexceptions \
 	-fasynchronous-unwind-tables \
-	-fdiagnostics-show-option
+	-fdiagnostics-show-option \
+	$(OPTIMIZE_FLAG) \
+	$(NULL)
+
+VER=$(shell cat ../VERSION)
+CFLAGS += -DVERSION=\"$(VER)\"
 
 CMD_CFLAGS = $(CFLAGS) -fPIE -DPIE
 
@@ -80,8 +103,7 @@
 
 LIB_CLIENT_LDFLAGS += -Wl,-z,relro -pie
 
-
-all: $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(CMD_TARGET)
+all: $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(CMD_TARGET) $(LIBPC_ENTIRE_TARGET) $(LIBPC_CLIENT_TARGET)
 
 $(LIBSO_ENTIRE_TARGET): $(LIB_ENTIRE_SOURCE)
 	$(CC) $(CFLAGS) $(LIB_ENTIRE_LDFLAGS) -shared -fPIC -o $@ -Wl,-soname=$(LIB_ENTIRE_TARGET).so.$(SOMAJOR) $^
@@ -96,9 +118,14 @@
 $(CMD_TARGET): $(LIBSO_ENTIRE_TARGET) $(CMD_SOURCE)
 	$(CC) $(CMD_CFLAGS) $(CMD_LDFLAGS) $(CMD_SOURCE) $(CMD_LDADD) -o $@ -L.
 
+$(LIBPC_ENTIRE_TARGET): $(LIBPC_ENTIRE_SOURCE)
+	sed -e "s/@VERSION@/$(VER)/" $(LIBPC_ENTIRE_SOURCE) > $(LIBPC_ENTIRE_TARGET)
+
+$(LIBPC_CLIENT_TARGET): $(LIBPC_CLIENT_SOURCE)
+	sed -e "s/@VERSION@/$(VER)/" $(LIBPC_CLIENT_SOURCE) > $(LIBPC_CLIENT_TARGET)
+
 clean:
-	rm -f *.o *.so *.so.* $(CMD_TARGET)
-
+	rm -f *.o *.so *.so.* $(CMD_TARGET) $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(LIBPC_ENTIRE_TARGET) $(LIBPC_CLIENT_TARGET)
 
 INSTALL=$(shell which install)
 
@@ -114,9 +141,12 @@
 	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
 	$(INSTALL) -d $(DESTDIR)/$(HEADIR)
 	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
+	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)/pkgconfig
 	$(INSTALL) -c -m 755 $(CMD_TARGET) $(DESTDIR)/$(BINDIR)
 	$(INSTALL) -c -m 755 $(LIBSO_ENTIRE_TARGET) $(DESTDIR)/$(LIBDIR)
 	$(INSTALL) -c -m 755 $(LIBSO_CLIENT_TARGET) $(DESTDIR)/$(LIBDIR)
+	$(INSTALL) -c -m 644 $(LIBPC_ENTIRE_TARGET) $(DESTDIR)/$(LIBDIR)/pkgconfig
+	$(INSTALL) -c -m 644 $(LIBPC_CLIENT_TARGET) $(DESTDIR)/$(LIBDIR)/pkgconfig
 	cp -a $(LIB_ENTIRE_TARGET).so $(DESTDIR)/$(LIBDIR)
 	cp -a $(LIB_CLIENT_TARGET).so $(DESTDIR)/$(LIBDIR)
 	cp -a $(LIB_ENTIRE_TARGET).so.$(SOMAJOR) $(DESTDIR)/$(LIBDIR)

=== debian/changelog ===
sanlock (3.6.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:01 +0100

sanlock (3.6.0-4) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:46:10 +0500

sanlock (3.6.0-3) unstable; urgency=medium

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jul 2018 14:44:29 +0200

sanlock (3.6.0-2) unstable; urgency=medium

  * Add sanlock user to disk group only after the user is created, thanks
    to Christian Ehrhardt; closes: #888721.
  * Create missing systemd-wdmd file, thanks to Christian Ehrhardt;
    closes: #854696.

 -- Milan Zamazal <pdm@debian.org>  Tue, 06 Feb 2018 21:34:07 +0100

sanlock (3.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Fix of typo in adduser --gecos postinst invocation, thanks to Ralf
    Treinen; closes: #846249.
  * Add `sanlock' user to `disk' group, thanks to Charlie Smurthwaite;
    closes: #888102.

 -- Milan Zamazal <pdm@debian.org>  Sat, 27 Jan 2018 22:23:50 +0100

sanlock (3.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install pkgconfig files. (closes: #880118)

 -- Bastian Blank <waldi@debian.org>  Tue, 31 Oct 2017 16:06:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Standards-Version: 3.9.7
 Priority: optional
 Homepage: https://fedorahosted.org/sanlock/
-Maintainer: Milan Zamazal <mzamazal@redhat.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: libaio-dev,
  libblkid1,
  libblkid-dev,
  debhelper (>= 9),
- dh-python,
  dh-systemd (>= 1.5),
- python-all-dev
 
 Package: sanlock
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
@@ -48,15 +46,3 @@
  one running VM at a time, across any host in a network.
  .
  This package contains the header files and static libraries.
-
-Package: python-sanlock
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, libsanlock1 (= ${binary:Version})
-Built-Using: ${Built-Using}
-Section: python
-Provides: ${python:Provides}
-Description: Python bindings to shared storage lock manager
- Sanlock ensures that single disk cannot be used by more than
- one running VM at a time, across any host in a network.
- .
- This package contains the Python bindings.

=== debian/rules ===
--- 
+++ 
@@ -10,22 +10,18 @@
 override_dh_auto_build:
 	dh_auto_build -D wdmd
 	dh_auto_build -D src
-	dh_auto_build -D python
 
 override_dh_auto_clean:
 	dh_auto_clean -D wdmd
 	dh_auto_clean -D src
-	dh_auto_clean -D python
 
 override_dh_auto_configure:
 	dh_auto_configure -D wdmd
 	dh_auto_configure -D src
-	dh_auto_configure -D python
 
 override_dh_auto_install:
 	dh_auto_install -D wdmd
 	dh_auto_install -D src
-	dh_auto_install -D python
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/sanlock
@@ -33,11 +29,11 @@
 override_dh_auto_test:
 	dh_auto_test -D wdmd
 	dh_auto_test -D src
-	dh_auto_test -D python
 
 override_dh_installinit:
 	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade --no-start
+	install -m 0755 init.d/wdmd debian/sanlock/lib/systemd/systemd-wdmd
 	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade
 
 %:
-	dh $@ --with=python2,systemd
+	dh $@ --with=systemd

## sanlock 3.8.2

=== python/Makefile ===
--- 
+++ 
@@ -4,11 +4,13 @@
 # modify, copy, or redistribute it subject to the terms and conditions
 # of the GNU General Public License v.2.
 
+PYTHON := python$(PY_VERSION)
+
 all:
-	python setup.py build
+	$(PYTHON) setup.py build $(BUILDARGS)
 
 install:
-	python setup.py install --root=$(DESTDIR)
+	$(PYTHON) setup.py install --root=$(DESTDIR)
 
 clean:
 	rm -rf build

=== reset/Makefile ===
include ../common.mk

TARGET1 = sanlk-resetd
TARGET2 = sanlk-reset

SOURCE1 = sanlk_resetd.c
SOURCE2 = sanlk_reset.c

VER=$(shell cat ../VERSION)
CFLAGS += -DVERSION=\"$(VER)\" -I../src -I../wdmd

CFLAGS += -fPIE -DPIE

LDFLAGS += -Wl,-z,relro -pie

LDADD = -lsanlock -lwdmd

all: $(TARGET1) $(TARGET2)

$(TARGET1): $(SOURCE1)
	$(CC) $(CFLAGS) $(LDFLAGS) $(SOURCE1) $(LDADD) -o $@ -L. -L../src -L../wdmd

$(TARGET2): $(SOURCE2)
	$(CC) $(CFLAGS) $(LDFLAGS) $(SOURCE2) $(LDADD) -o $@ -L. -L../src -L../wdmd

clean:
	rm -f *.o *.so *.so.* $(TARGET1) $(TARGET2)

INSTALL=$(shell which install)

DESTDIR=
BINDIR=/usr/sbin
LIBDIR=/usr/lib64
HEADIR=/usr/include
MANDIR=/usr/share/man

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)/$(BINDIR)
	$(INSTALL) -c -m 755 $(TARGET1) $(TARGET2) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -m 644 sanlk-reset.8 $(DESTDIR)/$(MANDIR)/man8/
	$(INSTALL) -m 644 sanlk-resetd.8 $(DESTDIR)/$(MANDIR)/man8/

=== debian/changelog ===
sanlock (3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer Closes: #903571
  * New package: python3-sanlock
  * d/*.symbols:
    - Update symbols
    - Add Build-Depends-Package: libsanlock-dev
  * Switch to debhelper-compat
    - d/control: Replace debhelper with debhelper-compat
    - Remove d/compat
  * d/control:
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Drop dh-systemd as build dependency Closes: #958620
    - Update homepage
    - Add Rules-Requires-Root: no
    - Add Pre-Depends: ${misc:Pre-Depends} for sanlock
  * d/patches:
    - Rebase patches
    - Remove patches which is no longer needed.
    - Add fix_man-page_macro.patch
    - Add fix_typo.patch
  * d/changelog: Remove whitespace
  * d/copyright:
    - Change to secure URI
    - Update year
    - Move debian/* to a separate file paragraph
  * d/watch: Add file
  * d/*.service: Add documentation-key
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse.
  * d/rules: Change to Debian specific init.d script LP: #1745986
    This is the same file implemented in bug: #854696

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 01 Oct 2020 16:56:30 +0200

=== debian/control ===
Source: sanlock
Section: libs
Priority: optional
Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
Build-Depends: debhelper-compat(=12),
 dh-python,
 libaio-dev,
 libblkid1,
 libblkid-dev,
 python3-dev,
Standards-Version: 4.4.1
Homepage: https://www.pagure.io/sanlock/
Rules-Requires-Root: no

Package: sanlock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Pre-Depends: ${misc:Pre-Depends}
Description: Shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the binaries and private shared libraries.

Package: libsanlock-client1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the public shared library for libvirt.

Package: libsanlock1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared storage lock manager (shared library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains libsanlock shared library.

Package: libsanlock-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsanlock-client1 (= ${binary:Version}),
         libsanlock1 (= ${binary:Version}),
         sanlock (= ${binary:Version}),
Description: Shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the header files and static libraries.

Package: python3-sanlock
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libsanlock1 (= ${binary:Version})
Built-Using: ${Built-Using}
Provides: ${python3:Provides}
Description: Python3 bindings to shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PY_VERSION = $(shell py3versions -dv)

#LD_LIBRARY_PATH := /usr/lib/sanlock:$(LD_LIBRARY_PATH)
#LD_LIBRARY_PATH=/usr/lib/sanlock:${LD_LIBRARY_PATH}
#LD_LIBRARY_PATH=/usr/lib/sanlock:$(LD_LIBRARY_PATH) dh_shlibdeps
#LD_LIBRARY_PATH := /usr/lib/sanlock

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -D wdmd
	dh_auto_build -D src
	dh_auto_build -D python

override_dh_auto_clean:
	dh_auto_clean -D wdmd
	dh_auto_clean -D src
	dh_auto_clean -D python

override_dh_auto_configure:
	dh_auto_configure -D wdmd
	dh_auto_configure -D src
	dh_auto_configure -D python

override_dh_auto_install:
	dh_auto_install -D wdmd
	dh_auto_install -D src
	dh_auto_install -D python

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/sanlock

override_dh_installsystemd:
	dh_installsystemd --name=wdmd --no-stop-on-upgrade --no-start
	dh_installsystemd --name=sanlock --no-stop-on-upgrade

override_dh_installinit:
	dh_installinit -psanlock --name=wdmd --no-stop-on-upgrade --no-start
	install -D -m 0755 debian/sanlock.wdmd.init debian/sanlock/lib/systemd/systemd-wdmd
	dh_installinit -psanlock --name=sanlock --no-stop-on-upgrade

## sanlock 3.8.4

=== tests/Makefile ===
TARGET1 = devcount
TARGET2 = sanlk_load
TARGET3 = sanlk_client
TARGET4 = killpath
TARGET5 = sanlk_path
TARGET6 = sanlk_testr
TARGET7 = sanlk_events
TARGET8 = sanlk_mixmsg

SOURCE1 = devcount.c
SOURCE2 = sanlk_load.c
SOURCE3 = sanlk_client.c
SOURCE4 = killpath.c
SOURCE5 = sanlk_path.c
SOURCE6 = sanlk_testr.c
SOURCE7 = sanlk_events.c
SOURCE8 = sanlk_mixmsg.c

CFLAGS += -D_GNU_SOURCE -g \
	-Wall \
	-Wformat \
	-Wformat-security \
	-Wnested-externs \
	-Wpointer-arith \
	-Wextra -Wshadow \
	-Wcast-align \
	-Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes \
	-Winline \
	-Wredundant-decls \
	-Wno-sign-compare \
	-Wp,-D_FORTIFY_SOURCE=2 \
	-O2 \
	-fexceptions \
	-fasynchronous-unwind-tables \
	-fdiagnostics-show-option

LDFLAGS = -lrt -laio -lblkid -lsanlock

all: $(TARGET1) $(TARGET2) $(TARGET3) $(TARGET4) $(TARGET5) $(TARGET6) $(TARGET7) $(TARGET8)

$(TARGET1): $(SOURCE1)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET2): $(SOURCE2)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET3): $(SOURCE3)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET4): $(SOURCE4)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET5): $(SOURCE5)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET6): $(SOURCE6)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET7): $(SOURCE7)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

$(TARGET8): $(SOURCE8)
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o $@ -L. -I../src -L../src

clean:
	rm -f *.o *.so *.so.* $(TARGET) $(TARGET2) $(TARGET3) $(TARGET4) $(TARGET5) $(TARGET6) $(TARGET7) $(TARGET8)

=== debian/changelog ===
sanlock (3.8.4-1build2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:31:40 +0000

sanlock (3.8.4-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:29:46 +0000

sanlock (3.8.4-1) unstable; urgency=medium

  * New upstream version 3.8.4
  * upload to unstable
  * d/README.Source: Remove file, information no longer applies.
  * Move package into Vcs repository
  * Add Build-Profile nopython

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 23 Aug 2021 22:05:31 +0200

sanlock (3.8.3-1) experimental; urgency=medium

  * New upstream version 3.8.3
  * Drop patches applied upstream
  * New package: sanlk-reset
  * d/rules: Drop Python version flag
  * d/control:
    - Remove sanlock as dependency for libsanlock-dev
    - Add packages to suggests field
    - Add multiarch field
    - Bump debhelper to 13

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 18 Feb 2021 17:33:32 +0100

sanlock (3.8.2-2) unstable; urgency=medium

  * d/control: Drop Built-Using field, for Python3 package.
  * Move libraries and pkg-config to a multiarch location Closes: #980335
    Thanks to Helmut Grohne for patch.
  * Move Python example file to correct folder.
  * Change section for the binary package sanlock, from libs to utils.
  * Remove libblkid1 as build-dependency.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 11 Feb 2021 17:09:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,49 @@
 Section: libs
 Priority: optional
 Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
-Build-Depends: debhelper-compat(=12),
- dh-python,
+Build-Depends: debhelper-compat(=13),
+ dh-python <!nopython>,
  libaio-dev,
- libblkid1,
  libblkid-dev,
- python3-dev,
+ python3-dev <!nopython>,
 Standards-Version: 4.4.1
 Homepage: https://www.pagure.io/sanlock/
+Vcs-Browser: https://salsa.debian.org/haava/sanlock
+Vcs-Git: https://salsa.debian.org/haava/sanlock.git
 Rules-Requires-Root: no
 
 Package: sanlock
 Architecture: any
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Pre-Depends: ${misc:Pre-Depends}
+Suggests:
+ sanlk-reset,
+ python3-sanlock,
 Description: Shared storage lock manager
  Sanlock ensures that single disk cannot be used by more than
  one running VM at a time, across any host in a network.
  .
  This package contains the binaries and private shared libraries.
 
+Package: sanlk-reset
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libsanlock1 (= ${binary:Version}),
+         sanlock (= ${binary:Version}),
+Description: Host reset daemon and client using sanlock
+ Sanlock ensures that single disk cannot be used by more than
+ one running VM at a time, across any host in a network.
+ .
+ This package contains the reset daemon and client.
+ A cooperating host running the daemon can be reset by a host
+ running the client, so long as both maintain access to a
+ common sanlock lockspace.
+
 Package: libsanlock-client1
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Shared storage lock manager (client library)
  Sanlock ensures that single disk cannot be used by more than
@@ -33,6 +54,7 @@
 
 Package: libsanlock1
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Shared storage lock manager (shared library)
  Sanlock ensures that single disk cannot be used by more than
@@ -42,11 +64,11 @@
 
 Package: libsanlock-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libsanlock-client1 (= ${binary:Version}),
          libsanlock1 (= ${binary:Version}),
-         sanlock (= ${binary:Version}),
 Description: Shared storage lock manager (development files)
  Sanlock ensures that single disk cannot be used by more than
  one running VM at a time, across any host in a network.
@@ -55,12 +77,13 @@
 
 Package: python3-sanlock
 Architecture: any
+Multi-Arch: same
+Build-Profiles: <!nopython>
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
          libsanlock1 (= ${binary:Version})
-Built-Using: ${Built-Using}
 Provides: ${python3:Provides}
 Description: Python3 bindings to shared storage lock manager
  Sanlock ensures that single disk cannot be used by more than

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

FLAGS = LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH} LIBDIR_NAME=

%:
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh $@ --with python3
else
	dh $@
endif

override_dh_auto_build:
	dh_auto_build -D wdmd -- $(FLAGS)
	dh_auto_build -D src -- $(FLAGS)
	dh_auto_build -D reset
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh_auto_build -D python
endif

override_dh_auto_configure:
	dh_auto_configure -D wdmd
	dh_auto_configure -D src
	dh_auto_configure -D reset
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh_auto_configure -D python
endif

override_dh_auto_install:
	dh_auto_install -D wdmd -- $(FLAGS)
	dh_auto_install -D src -- $(FLAGS)
	dh_auto_install -D reset
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh_auto_install -D python
endif

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/sanlock

override_dh_installsystemd:
	dh_installsystemd --name=wdmd --no-stop-on-upgrade --no-start
	dh_installsystemd --name=sanlock --no-stop-on-upgrade
	dh_installsystemd --name=sanlk-resetd --no-enable --no-start

override_dh_installinit:
	dh_installinit -psanlock --name=wdmd --no-stop-on-upgrade --no-start
	install -D -m 0755 debian/sanlock.wdmd.init debian/sanlock/lib/systemd/systemd-wdmd
	dh_installinit -psanlock --name=sanlock --no-stop-on-upgrade

## sanlock 3.8.5

=== debian/changelog ===
sanlock (3.8.5-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:56:49 +0100

sanlock (3.8.5-3) unstable; urgency=medium

  * Fix build source after successful build. Closes: #1048973
  * Change all packages to 'linux-any'.
  * Add uuid-dev as BD, used by sanlock.
  * Update copyright year on myself.
  * Use dh_installexamples to install example files.
  * Move files to '/usr'.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 10 Jun 2024 21:09:47 +0200

sanlock (3.8.5-2) unstable; urgency=medium

  * Add 'watchdog-check' function to 'wdmd' init script. Closes: #1041467
    This also loads the kernel module 'softdog' if no other watchdog module
    has been loaded. LP: #1229525
  * Remove 'enabled=' option from init.d, and default scripts.
  * Start wdmd daemon by default on install.
  * By default, make sanlock use services provided by wdmd.
  * Dependencies:
    - Specify current version of library for sanlock.
    - Change dh-python -> dh-sequence-python3, simplifies d/rules.
    - Update python3-dev to 'native'.
  * Update patch to 'gbp pq' style.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Update copyright year for myself.
  * Run wrap-and-sort -ast

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 21 Jul 2023 09:04:28 +0200

sanlock (3.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop python-build.patch, not needed when using pybuild.
  * Update wildcard for increased flexibility when installing files in
    Python package.
  * Update maintainer name and email.
  * d/libsanlock1.symbols
    - Update symbols.
    - Add Build-Depends field for library 'libwdmd'.
  * d/control:
    - Add python3-setuptools as BD.
    - Update BD to handle cross build.
    - Update Standards-Version to 4.6.1
  * d/rules:
    - Explicitly build Python package with pybuild.
    - Include hardening build flags
  * d/copyright: Add myself under Debian paragraph.
  * Update d/sanlock.postinst to reflect changes in adduser package.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 29 Oct 2022 23:31:04 +0200

=== debian/control ===
Source: sanlock
Section: libs
Priority: optional
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends:
 debhelper-compat(=13),
 dh-sequence-python3 <!nopython>,
 libaio-dev,
 libblkid-dev,
 libpython3-dev <!nopython>,
 python3-dev:native <!nopython>,
 python3-setuptools <!nopython>,
 uuid-dev,
Standards-Version: 4.7.0
Homepage: https://www.pagure.io/sanlock/
Vcs-Browser: https://salsa.debian.org/haava/sanlock
Vcs-Git: https://salsa.debian.org/haava/sanlock.git
Rules-Requires-Root: no

Package: sanlock
Architecture: linux-any
Section: utils
Depends:
 adduser,
 libsanlock1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 python3-sanlock,
 sanlk-reset,
Description: Shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the binaries and private shared libraries.

Package: sanlk-reset
Architecture: linux-any
Section: utils
Depends:
 libsanlock1 (= ${binary:Version}),
 sanlock (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Host reset daemon and client using sanlock
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the reset daemon and client.
 A cooperating host running the daemon can be reset by a host
 running the client, so long as both maintain access to a
 common sanlock lockspace.

Package: libsanlock-client1
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the public shared library for libvirt.

Package: libsanlock1
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Shared storage lock manager (shared library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains libsanlock shared library.

Package: libsanlock-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libsanlock-client1 (= ${binary:Version}),
 libsanlock1 (= ${binary:Version}),
 ${misc:Depends},
Description: Shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the header files and static libraries.

Package: python3-sanlock
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nopython>
Section: python
Depends:
 libsanlock1 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: Python3 bindings to shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

FLAGS = LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH} LIBDIR_NAME=

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -D wdmd -- $(FLAGS)
	dh_auto_build -D src -- $(FLAGS)
	dh_auto_build -D reset
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh_auto_build -D python --buildsystem=pybuild
endif

override_dh_auto_configure:
	dh_auto_configure -D wdmd
	dh_auto_configure -D src
	dh_auto_configure -D reset
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh_auto_configure -D python --buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install -D wdmd -- $(FLAGS)
	dh_auto_install -D src -- $(FLAGS)
	dh_auto_install -D reset
ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
	dh_auto_install -D python --buildsystem=pybuild
endif

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/sanlock

override_dh_installsystemd:
	dh_installsystemd --name=wdmd --no-stop-on-upgrade
	dh_installsystemd --name=sanlock --no-stop-on-upgrade
	dh_installsystemd --name=sanlk-resetd --no-enable --no-start

override_dh_installinit:
	dh_installinit -psanlock --name=wdmd --no-stop-on-upgrade
	install -D -m 0755 debian/sanlock.wdmd.init debian/sanlock/usr/lib/systemd/systemd-wdmd
	dh_installinit -psanlock --name=sanlock --no-stop-on-upgrade
